/**
 * @license
 * Copyright 2023 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
import { LitElement, PropertyValues } from 'lit';
import { Chip } from './chip.js';
/**
 * The type of chip a chip set controls.
 */
export type ChipSetType = 'assist' | 'suggestion' | 'filter' | 'input' | '';
/**
 * A chip set component.
 */
export declare class ChipSet extends LitElement {
    get chips(): Chip[];
    type: ChipSetType;
    singleSelect: boolean;
    private readonly childElements;
    constructor();
    protected updated(changed: PropertyValues<this>): void;
    protected render(): import("lit-html").TemplateResult<1>;
    private handleKeyDown;
    private updateTabIndices;
    private handleSelected;
}
