/**
 * @license
 * Copyright 2023 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
import '../../elevation/elevation.js';
import { nothing, PropertyValues, TemplateResult } from 'lit';
import { MultiActionChip } from './multi-action-chip.js';
/**
 * A filter chip component.
 */
export declare class FilterChip extends MultiActionChip {
    elevated: boolean;
    removable: boolean;
    selected: boolean;
    protected get primaryId(): string;
    protected readonly primaryAction: HTMLElement | null;
    protected readonly trailingAction: HTMLElement | null;
    constructor();
    protected updated(changed: PropertyValues<this>): void;
    protected getContainerClasses(): {
        elevated: boolean;
        selected: boolean;
        'has-trailing': boolean;
        disabled: boolean;
    };
    protected renderActionCell(content: TemplateResult | typeof nothing): typeof nothing | TemplateResult<2 | 1>;
    protected renderAction(): TemplateResult<1>;
    protected renderLeadingIcon(): TemplateResult<2 | 1>;
    protected renderTrailingAction(): TemplateResult<1> | typeof nothing;
    protected renderOutline(): TemplateResult<1>;
    private handleClick;
}
