/**
 * @license
 * Copyright 2023 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
import { MultiActionChip } from './multi-action-chip.js';
/**
 * An input chip component.
 */
export declare class InputChip extends MultiActionChip {
    avatar: boolean;
    href: string;
    target: '_blank' | '_parent' | '_self' | '_top' | '';
    removeOnly: boolean;
    selected: boolean;
    protected get primaryId(): "" | "link" | "button";
    protected get rippleDisabled(): boolean;
    protected get primaryAction(): HTMLElement;
    protected readonly trailingAction: HTMLElement | null;
    protected getContainerClasses(): {
        avatar: boolean;
        disabled: boolean;
        link: boolean;
        selected: boolean;
        'has-trailing': boolean;
    };
    protected renderAction(): import("lit-html").TemplateResult<1>;
    protected renderTrailingAction(): import("lit-html").TemplateResult<1>;
}
