/**
 * @license
 * Copyright 2023 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
import { __decorate } from "tslib";
import { nothing } from 'lit';
import { property } from 'lit/decorators.js';
import { ListItemEl } from './list-item.js';
// tslint:disable-next-line:enforce-comments-on-exported-symbols
export class ListItemOnly extends ListItemEl {
    constructor() {
        super(...arguments);
        /**
         * Removes the hover and click ripples from the item when true.
         */
        this.noninteractive = false;
    }
    getRenderClasses() {
        return {
            ...super.getRenderClasses(),
            'noninteractive': this.noninteractive,
        };
    }
    renderRipple() {
        return this.noninteractive ? nothing : super.renderRipple();
    }
    renderFocusRing() {
        return this.noninteractive ? nothing : super.renderFocusRing();
    }
}
__decorate([
    property({ type: Boolean })
], ListItemOnly.prototype, "noninteractive", void 0);
//# sourceMappingURL=list-item-only.js.map