/**
 * @license
 * Copyright 2022 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
import { ListItemEl, ListItemRole } from '../../../list/internal/listitem/list-item.js';
import { MenuItem } from '../shared.js';
export { ListItemRole } from '../../../list/internal/listitem/list-item.js';
/**
 * @fires close-menu {CloseMenuEvent}
 */
export declare class MenuItemEl extends ListItemEl implements MenuItem {
    /**
     * READONLY: self-identifies as a menu item and sets its identifying attribute
     */
    isMenuItem: boolean;
    /**
     * Keeps the menu open if clicked or keyboard selected.
     */
    keepOpen: boolean;
    protected hasFocusRing: boolean;
    /**
     * Used for overriding e.g. sub-menu-item.
     */
    protected keepOpenOnClick: boolean;
    readonly type: ListItemRole;
    protected onClick(): void;
    protected getRenderClasses(): {
        'has-focus-ring': boolean;
        'with-one-line': boolean;
        'with-two-line': boolean;
        'with-three-line': boolean;
        disabled: boolean;
    };
    protected onFocusRingVisibilityChanged(e: Event): void;
    protected onKeydown(event: KeyboardEvent): void;
}
