/**
 * @license
 * Copyright 2023 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
import { Progress } from './progress.js';
/**
 * A linear progress component.
 */
export declare class LinearProgress extends Progress {
    /**
     * Buffer amount to display, a fraction between 0 and 1.
     */
    buffer: number;
    private readonly rootEl;
    private animationReady;
    private resizeObserver;
    protected getRenderClasses(): {
        'animation-ready': boolean;
        indeterminate: boolean;
        'four-color': boolean;
    };
    protected renderIndicator(): import("lit-html").TemplateResult<1>;
    connectedCallback(): Promise<void>;
    disconnectedCallback(): void;
    private restartAnimation;
}
