/**
 * @license
 * Copyright 2023 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
import { PropertyValues } from 'lit';
import { ListItemRole, MenuItemEl } from '../../../menu/internal/menuitem/menu-item.js';
import { SelectOption } from '../shared.js';
/**
 * @fires close-menu Closes the encapsulating menu on
 * @fires request-selection Requests the parent md-select to select this element
 * (and deselect others if single-selection) when `selected` changed to `true`.
 * @fires request-deselection Requests the parent md-select to deselect this
 * element when `selected` changed to `false`.
 */
export declare class SelectOptionEl extends MenuItemEl implements SelectOption {
    /**
     * Form value of the option.
     */
    value: string;
    /**
     * Whether or not this option is selected.
     */
    selected: boolean;
    readonly type: ListItemRole;
    willUpdate(changed: PropertyValues<this>): void;
    updated(changed: PropertyValues<this>): void;
}
